import * as $dara from '@darabonba/typescript';
export declare class DescribeContainerServiceK8sClusterKritisStatusResponseBodyKritisStatus extends $dara.Model {
    /**
     * @remarks
     * Indicates whether Kritis is installed. Valid values:
     *
     * *   **true**
     * *   **false**
     *
     * @example
     * true
     */
    install?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeContainerServiceK8sClusterKritisStatusResponseBody extends $dara.Model {
    /**
     * @remarks
     * The Kritis status of the ACK cluster.
     */
    kritisStatus?: DescribeContainerServiceK8sClusterKritisStatusResponseBodyKritisStatus;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * BE120DAB-F4E7-4C53-ADC3-A97578AB****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
